#include <stdio.h>
#include <r_types.h>
#include <r_bin.h>

int main(int argc, char *argv[])
{
	struct r_bin_t bin;
	struct r_bin_import_t *imports;
	int i;
	u64 baddr;

	if (argc != 3) {
		fprintf(stderr, "Usage: %s <bin file> <import name>\n", argv[0]);
		return 1;
	}

	/* r_bin initialization */
	r_bin_init(&bin);
	
	/* Open file and autodetect format */
	r_bin_open(&bin, argv[1], 0, NULL);

	/* Get the base address */
	baddr = r_bin_get_baddr(&bin);
	
	/* Get the imports array */
	imports = r_bin_get_imports(&bin);
	
	/* Print */
	for (i = 0; imports && !imports[i].last; i++)
		if (!strcmp(argv[2], imports[i].name))
			printf("0x%08llx\n", baddr+imports[i].rva);

	/* r_bin close */
	r_bin_close(&bin);

	return 0;
}
