using GLib;
using Gtk;
using Radare;

public class widget 
{
	public static TextView tvasm;
	public static TextView tvhex;
	public static Asm st;
	public static Asm.Aop aop;

	public static Widget get_label_hbox(string label, Widget child)
	{
		var v = new HBox(false, 3);
		v.pack_start(new Label(label), false, false, 3);
		v.pack_start(child, true, true, 3);
		return v;
	}

	public static int main(string[] args)
	{
		Gtk.init(ref args);
		st = new Asm();

		var mw = new Window(WindowType.TOPLEVEL);
		mw.title = "Interactive ShellCode Assembler";
		mw.border_width = 5;
		mw.delete_event += () => {
			Gtk.main_quit();
		};

		VBox vb = new VBox(false, 5);
		widget.tvasm = new TextView();
		tvasm.key_release_event += (foo) => {
			string str;
			Gtk.TextIter tiend, tistart;
			widget.tvasm.buffer.get_start_iter(out tistart);
			widget.tvasm.buffer.get_end_iter(out tiend);
			str = widget.tvasm.buffer.get_text (tiend, tistart, false);
			st.set("asm_x86_nasm");
			st.set_bits(32);
			st.set_pc(0x8048000);
			if (widget.st.massemble (out widget.aop, str) > 0)
				widget.tvhex.buffer.set_text (widget.aop.buf_hex, -1);
			return false;
		};
		var scrollasm = new ScrolledWindow (null, null);
		scrollasm.set_policy (PolicyType.AUTOMATIC, PolicyType.AUTOMATIC);
		scrollasm.add (widget.tvasm);

		widget.tvhex = new TextView();
		tvhex.key_release_event += (foo) => {
			string str;
			uint8 [] buf = new uint8 [1024];
			Gtk.TextIter tiend, tistart;
			widget.tvhex.buffer.get_start_iter(out tistart);
			widget.tvhex.buffer.get_end_iter(out tiend);
			str = widget.tvhex.buffer.get_text (tiend, tistart, false);
			st.set("asm_x86_olly");
			st.set_bits(32);
			st.set_pc(0x8048000);
			Util.hex_str2bin(str, buf);
			if (widget.st.mdisassemble (out widget.aop, buf, (uint64)(str.length/2)) > 0)
				widget.tvasm.buffer.set_text (widget.aop.buf_asm, -1);
			return false;
		};
		var scrollhex = new ScrolledWindow (null, null);
		scrollhex.set_policy (PolicyType.AUTOMATIC, PolicyType.AUTOMATIC);
		scrollhex.add (widget.tvhex);

		vb.pack_start(get_label_hbox("Assembly", scrollasm), true, true, 3);
		vb.pack_start(get_label_hbox("Hexpairs", scrollhex), true, true, 3);

		var hbb = new HButtonBox();
		hbb.layout_style = ButtonBoxStyle.END;
		Button b = new Button.from_stock("gtk-ok");
		b.clicked += (foo) => {
			Gtk.main_quit();
		};
		hbb.pack_start(b, false, false, 3);
		vb.pack_end(hbb, false, false, 3);
		
		mw.add(vb);
		mw.show_all();
		Gtk.main();

		return 0;
	}
}
